﻿# Укажите URL и путь для сохранения файлов
$crl_urls = @(
    "https://nces.by/wp-content/uploads/certificates/pki/kuc2.crl",
    "https://nces.by/wp-content/uploads/certificates/pki/ruc3.crl",
    "https://nces.by/wp-content/uploads/certificates/pki/cas_ruc3.crl"
)
$crl_destDir = "./CRL"

$ca_urls = @(
    "https://nces.by/wp-content/uploads/certificates/pki/kuc2.cer",
    "https://nces.by/wp-content/uploads/certificates/pki/ruc3.cer",
    "https://nces.by/wp-content/uploads/certificates/pki/cas_ruc3.cer"
)
$ca_destDir = "./CA"

# Загрузите файлы
foreach ($crl_url in $crl_urls) {
    $fileName = [System.IO.Path]::GetFileName($crl_url)
    $destPath = Join-Path $crl_destDir $fileName
    try {
        Invoke-WebRequest -Uri $crl_url -OutFile $destPath
        Write-Host "Файл успешно загружен: $destPath"
    } catch {
        Write-Host "Ошибка при загрузке файла ($fileName): $_"
    }
}

foreach ($ca_url in $ca_urls) {
    $fileName = [System.IO.Path]::GetFileName($ca_url)
    $destPath = Join-Path $ca_destDir $fileName
    try {
        Invoke-WebRequest -Uri $ca_url -OutFile $destPath
        Write-Host "Файл успешно загружен: $destPath"
    } catch {
        Write-Host "Ошибка при загрузке файла ($fileName): $_"
    }
}


Write-Host "Нажмите любую клавишу для завершения..."
$null = $Host.UI.RawUI.ReadKey("NoEcho,IncludeKeyDown")